> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://nemo-platform.docs.buildwithfern.com/nemo/platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://nemo-platform.docs.buildwithfern.com/nemo/platform/_mcp/server.

# Update Job Status Details

PATCH https://host.com/apis/jobs/v2/workspaces/{workspace}/jobs/{name}/status-details
Content-Type: application/json

Update the status details of a platform job.

Reference: https://nemo-platform.docs.buildwithfern.com/nemo/platform/nemo/platform/documentation/reference/api-reference/jobs/update-job-status-details-apis-jobs-v-2-workspaces-workspace-jobs-name-status-details-patch

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/jobs/v2/workspaces/{workspace}/jobs/{name}/status-details:
    patch:
      operationId: >-
        update-job-status-details-apis-jobs-v-2-workspaces-workspace-jobs-name-status-details-patch
      summary: Update Job Status Details
      description: Update the status details of a platform job.
      tags:
        - subpackage_jobs
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
        - name: workspace
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Job not Found
          content:
            application/json:
              schema:
                description: Any type
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                description: Any type
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          type: object
          additionalProperties:
            description: Any type
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError

```

## Examples



**Request**

```json
{
  "status": "running",
  "progress": 45,
  "message": "Job is currently processing data batch 3 of 10",
  "lastUpdated": "2024-06-10T15:22:30Z"
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://host.com/apis/jobs/v2/workspaces/workspace/jobs/name/status-details"

payload = {
    "status": "running",
    "progress": 45,
    "message": "Job is currently processing data batch 3 of 10",
    "lastUpdated": "2024-06-10T15:22:30Z"
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/jobs/v2/workspaces/workspace/jobs/name/status-details';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: '{"status":"running","progress":45,"message":"Job is currently processing data batch 3 of 10","lastUpdated":"2024-06-10T15:22:30Z"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/jobs/v2/workspaces/workspace/jobs/name/status-details"

	payload := strings.NewReader("{\n  \"status\": \"running\",\n  \"progress\": 45,\n  \"message\": \"Job is currently processing data batch 3 of 10\",\n  \"lastUpdated\": \"2024-06-10T15:22:30Z\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/jobs/v2/workspaces/workspace/jobs/name/status-details")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"status\": \"running\",\n  \"progress\": 45,\n  \"message\": \"Job is currently processing data batch 3 of 10\",\n  \"lastUpdated\": \"2024-06-10T15:22:30Z\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://host.com/apis/jobs/v2/workspaces/workspace/jobs/name/status-details")
  .header("Content-Type", "application/json")
  .body("{\n  \"status\": \"running\",\n  \"progress\": 45,\n  \"message\": \"Job is currently processing data batch 3 of 10\",\n  \"lastUpdated\": \"2024-06-10T15:22:30Z\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://host.com/apis/jobs/v2/workspaces/workspace/jobs/name/status-details', [
  'body' => '{
  "status": "running",
  "progress": 45,
  "message": "Job is currently processing data batch 3 of 10",
  "lastUpdated": "2024-06-10T15:22:30Z"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/jobs/v2/workspaces/workspace/jobs/name/status-details");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"status\": \"running\",\n  \"progress\": 45,\n  \"message\": \"Job is currently processing data batch 3 of 10\",\n  \"lastUpdated\": \"2024-06-10T15:22:30Z\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "status": "running",
  "progress": 45,
  "message": "Job is currently processing data batch 3 of 10",
  "lastUpdated": "2024-06-10T15:22:30Z"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/jobs/v2/workspaces/workspace/jobs/name/status-details")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```